﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using CodeChannelTester;

namespace Plugin_Channel_Perfect
{
    public class Plugin_Channel_Perfect : Channel
    {

        public override String  Name         { get { return "Perfect Transmission"; } }
        public override String  Description  { get { return "Channel induces no error to the transmitted data stream."; } }
        public override Version Version      { get { return new Version(1,0); } }
        
        public override Boolean Configurable { get { return false; } }
        public override Boolean Configured   { get { return true; } }

        public override SoftBurst CarryTransmission(SoftBurst transmission)
        {
            // No. Transmission is fine. Don't mess with it.
            return transmission;
        }

    }
}
