﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using CodeChannelTester;
using System.Collections;

namespace Plugin_Code_Plaintext
{
    public class Plugin_Code_Plaintext : Code
    {

        public override String  Name        { get { return "Plaintext"; } }
        public override String  Description { get { return "Data is sent without encoding."; } }
        public override Version Version     { get { return new Version(1,0); } }

        public override Boolean Configurable { get { return false; } }
        public override Boolean Configured   { get { return true; } }
        
        public override SoftBurst EncodeBurst(System.Collections.BitArray inStream)
        {
            return SoftBurst.PolarEncode( inStream );
        }
        public override BitArray DecodeBurst(SoftBurst inStream)
        {
            return SoftBurst.QuantizeDecode( inStream );
        }

    }
}
