﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Plugin_SDK
{
    /// <summary>
    /// Properties required for all plugin types.
    /// All plugins should implement this properties, providing accurate values
    /// for the specific plugin being implemented.
    /// </summary>
    public abstract class Plugin
    {
        public abstract String  Name        { get; }
        public abstract String  Description { get; }
        public abstract Version Version     { get; }
    }
}
